public class TPQDriver
{
  public static void main(String[] args)
  {
    TreePriorityQueue tpq = new TreePriorityQueue();

    tpq.add(new Integer(13));
    tpq.add(new Integer(11));
    tpq.add(new Integer(14));
    tpq.add(new Integer(11));
    tpq.add(new Integer(15));
    tpq.add(new Integer(14));
    tpq.add(new Integer(14));
    tpq.add(new Integer(12));

    System.out.println("initial tree");
    tpq.display();

    System.out.println();
    System.out.println("peekMin  " + tpq.peekMin());

    System.out.println("removeMin  " + tpq.removeMin());

    System.out.println("tree after removeMin");
    tpq.display();
    System.out.println();
    System.out.println("peekMin  " + tpq.peekMin());

    System.out.println("removeMin  " + tpq.removeMin());

    System.out.println("tree after second removeMin");
    tpq.display();
    System.out.println();
    System.out.println("peekMin  " + tpq.peekMin());

    System.out.println("removeMin  " + tpq.removeMin());

    System.out.println("tree after third removeMin");
    tpq.display();
    System.out.println();
    System.out.println("peekMin  " + tpq.peekMin());

    System.out.println("removeMin  " + tpq.removeMin());

    System.out.println("tree after fourth removeMin");
    tpq.display();

  }
}